Subject: bug#50230: Endian problem with native compilation

From: Andrea Corallo <[email-masked]>
Date: Wed, 01 Sep 2021 15:13:54 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Wed, 01 Sep 2021 12:28:59 +0000
>> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Andreas Schwab <[email-masked]> writes:
>> 
>> > define_cast_functions contains all the horrible mess.
>> >
>> > Andreas.
>> 
>> Hi Andreas,
>> 
>> is this bug fixed with 6767e5565?
>
> Andrea,
>
> Regardless of whether the big-endian bugs are solved with this, could
> you please try to give us an idea of how this change could affect the
> native code produced by Emacs, and whether it could destabilize Emacs
> with natively-compiled Lisp code to any significant degree?

This is changing the cast functions we synthesize and use in all the
code we generate, so yes it is potentially destabilizing.

That said the generated code looks correct to me (and considerably
cleaner).  Also, given these functions are really the foundation of a
lot of other code we generate I guess would be unlikely to have these
wrong but still have the testsuite passing clean and Emacs booting up
correctly.  Call me optimistic but I'd be pretty confident with this
change...

Not sure I can say more than this, hope it helps.

Regards

  Andrea